<html>

<head>
<title>libogg - function - oggpack_look</title>
<link rel=stylesheet href="style.css" type="text/css">
</head>

<body bgcolor=white text=black link="#5555ff" alink="#5555ff" vlink="#5555ff">
<table border=0 width=100%>
<tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>

<h1>oggpack_look</h1>

<p><i>declared in "ogg/ogg.h";</i></p>

<p>This function looks at a specified number of bits inside the buffer without advancing the location pointer.
<p>The specified number of bits are read, starting from the location pointer.
<p>This function can be used to read 32 or fewer bits.

<br><br>
<table border=0 color=black cellspacing=0 cellpadding=7>
<tr bgcolor=#cccccc>
	<td>
<pre><b>
long  oggpack_look(<a href="oggpack_buffer.html">oggpack_buffer</a> *b,int bits);
</b></pre>
</td>
</tr>
</table>

<h3>Parameters</h3>
<dl>
<dt><i>b</i></dt>
<dd>Pointer to <a href="oggpack_buffer.html">oggpack_buffer</a> to be read.</dd>
<dt><i>bits</i></dt>
<dd>Number of bits to look at.  For this function, must be 32 or fewer.</dd>
</dl>


<h3>Return Values</h3>
<blockquote>
<li>
<i>n</i> represents the requested bits.</li>
</blockquote>
<p>

<br><br>
<hr noshade>
<table border=0 width=100%>
<tr valign=top>
<td><p class=tiny>copyright &copy; 2000 xiph.org</p></td>
<td align=right><p class=tiny><a href="http://www.xiph.org/ogg/">Ogg Container Format</a></p></td>
</tr><tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>


</body>

</html>
